## org.eclipse.emf.cdo.server
Interface IMEMStore

All Superinterfaces:
  IStore

    public interface IMEMStore

extends IStore

A simple in-memory store.

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStore
`IStore.ChangeFormat, IStore.RevisionParallelism, IStore.RevisionTemporality`

Field Summary
`static int` `UNLIMITED`

Method Summary
`int` `getListLimit()` Returns the number of `revisions` per `CDOID` that are stored.
`void` `setListLimit(int listLimit)` Limits the number of `revisions` per `CDOID` to the given value.

Methods inherited from interface org.eclipse.emf.cdo.server.IStore

`getCDOIDLibraryDescriptor, getCDOIDLibraryProvider, getCDOIDObjectFactory, getCreationTime, getIndicatingCommitDistributor, getNextMetaIDRange, getReader, getRepository, getRevisionParallelism, getRevisionTemporality, getSupportedChangeFormats, getSupportedRevisionParallelisms, getSupportedRevisionTemporalities, getType, getWriter, isFirstTime, setRepository, setRevisionParallelism, setRevisionTemporality`

Field Detail

### UNLIMITED

    static final int UNLIMITED

See Also:
  Constant Field Values

Method Detail

### getListLimit

    int getListLimit()

  Returns the number of `revisions` per `CDOID` that are stored.

### setListLimit

    void setListLimit(int listLimit)

  Limits the number of `revisions` per `CDOID` to the given value.

  A value of 2, for example, stores the current and the immediately preceding revisions whereas older revisions are dropped from thids store. A value of 1 only stores the current revisions. A value of `UNLIMITED` does not limit the number of revisions to be stored for any id.

  The list limit can be set and enforced at any time before or after the `activation` of this store.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.